1

I have installed GDAL 2.2.1 and Poppler using homebrew

brew install gdal
brew install poppler

Everything seems to be working correctly but I cannot translate a GeoPDF to a GeoTiffs.

gdal_translate -of GTiff source.pdf dest.tiff
ERROR 4: `source.pdf' not recognized as a supported file format.

And there doesn't seem to be a driver available to it

gdalinfo --formats | grep PDF

Any idea how I would go about including GeoPDF support?

1

It does not help to install GDAL and Poppler if your GDAL version is built without Poppler. The documentation http://www.gdal.org/frmt_pdf.html gives advice for building:

Unix build

The relevant configure options are --with-poppler, --with-podofo, --with-podofo-lib and --with-podofo-extra-lib-for-test.

Of course for you only --with-poppler is relevant, and further:

Poppler

libpoppler itself must have been configured with --enable-xpdf-headers so that the xpdf C++ headers are available. Note: the poppler C++ API isn't stable, so the driver compilation may fail with too old or too recent poppler versions. Successfully tested versions are poppler >= 0.12.X and <= 0.31.0.

0

I spent several days trying to compile GDAL with poppler to no avail. I'm still keen for an answer by no matter what I tried, configuring GDAL --with-poppler always failed the compilation check and it wouldn't add support.

Fortunately, I found an alternative with another package installer called Miniconda.

wget https://repo.continuum.io/miniconda/Miniconda3-latest-MacOSX-x86_64.sh
bash Miniconda3-latest-MacOSX-x86_64.sh 
conda config --add channels conda-forge
conda install gdal
gdalinfo --formats

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.